Identity Provider API, REST: User.CommitPassword
Commits the result of a password writeback operation.
HTTP request
POST https://organization-manager.api.yandexcloud.kz/organization-manager/v1/idp/users:commitPassword
Body parameters
{
"externalUserId": "string",
"password": "string",
"modifyingOperationId": "string",
"needChange": "boolean",
"errorDetails": {
"errorCode": "string",
"errorMessage": "string"
},
"expiresAt": "string",
"generated": "boolean",
"userpoolId": "string"
}
Request to commit the result of a password writeback operation.
|
Field |
Description |
|
externalUserId |
string Required field. External identifier of the user whose password was written back. The maximum string length in characters is 50. |
|
password |
string Required field. The password that was written back. The maximum string length in characters is 128. |
|
modifyingOperationId |
string Required field. ID of the operation that triggered this writeback. The maximum string length in characters is 50. |
|
needChange |
boolean Whether the user must change their password on next login. |
|
errorDetails |
Error details if the writeback failed. |
|
expiresAt |
string (date-time) Timestamp when the password expires. String in RFC3339 To work with values in this field, use the APIs described in the |
|
generated |
boolean Whether the password was system-generated. |
|
userpoolId |
string Required field. ID of the userpool the user belongs to. The maximum string length in characters is 50. |
PasswordWritebackErrorDetails
Error details from LDAP password writeback.
|
Field |
Description |
|
errorCode |
enum (PasswordWritebackErrorCode) Type of error, used for UI rendering.
|
|
errorMessage |
string Exact error message from LDAP, for debugging purposes. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |